com.sun.jna.platform.win32

## Class Winsvc.SERVICE_DESCRIPTION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winsvc.ChangeServiceConfig2Info
    - - com.sun.jna.platform.win32.Winsvc.SERVICE_DESCRIPTION

Enclosing interface:
  Winsvc

    @Structure.FieldOrder(value="lpDescription")
    public static class Winsvc.SERVICE_DESCRIPTION
    extends Winsvc.ChangeServiceConfig2Info

Contains a service description.

The description of the service. If this member is NULL, the description remains unchanged. If this value is an empty string (""), the current description is deleted.

The service description must not exceed the size of a registry value of type REG_SZ.

This member can specify a localized string using the following format:

@[path\]dllname,-strID

The string with identifier strID is loaded from dllname; the path is optional. For more information, see RegLoadMUIString.

Windows Server 2003 and Windows XP: Localized strings are not supported until Windows Vista.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`java.lang.String` `lpDescription`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`SERVICE_DESCRIPTION()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lpDescription

    public java.lang.String lpDescription

### Constructor Detail

#### SERVICE_DESCRIPTION

    public SERVICE_DESCRIPTION()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.